# Retrieve pending shipping requests Returns a list of pending shipping requests awaiting the seller's acceptance. When a buyer purchases an item, a pending shipping request is generated. A request remains pending until the seller accepts it. Endpoint: GET /transactions/requests/pending Version: 0.0.1 Security: oAuthWithPKCE ## Response 200 fields (application/json): - `requests` (array) - `requests.id` (string) The unique identifier for the shipping request. Example: "bf44bd9c-b9fc-4e63-ba48-78539979738a" - `requests.item_ids` (array) The items from the shipping request. Example: ["3e9wzv7zlmdr","abc123xyz","another-id"] - `requests.seller_revenue` (object) A detailed breakdown of the seller's revenue. - `requests.seller_revenue.item_price` (object) The price at which the item was sold. - `requests.seller_revenue.item_price.amount` (number) The amount in the specified currency. Example: 300.89 - `requests.seller_revenue.item_price.currency` (string) The currency code associated with the amount. The only supported currency is EUR. Example: "EUR" - `requests.seller_revenue.delivery_cost` (object) The cost of delivering the item to the buyer. - `requests.seller_revenue.fees_cost` (object) Fees deducted by the platform for the transaction. - `requests.seller_revenue.total` (object) The final amount the seller will receive. - `requests.buyer_cost` (object) A detailed breakdown of the buyer's cost - `requests.buyer_cost.total` (object) The final amount the buyer will pay. - `requests.buyer_information` (object,null) Information about the buyer's information associated with the shipping request or transaction. If you want to manage logistics, you can contact commercial team to get access to this information. - `requests.buyer_information.name` (string) The full name of the buyer. Example: "John Doe" - `requests.buyer_information.street` (string) The street address of the buyer. Example: "123 Main St" - `requests.buyer_information.postal_code` (string) The postal code of the buyer's address. Example: 8001 - `requests.buyer_information.city` (string) The city of the buyer's address. Example: "Barcelona" - `requests.buyer_information.region` (string) The region or state of the buyer's address. Example: "Catalonia" - `requests.buyer_information.country` (string) The country of the buyer's address. Example: "ES" - `requests.buyer_information.phone_number` (string) The phone number of the buyer. Example: "+34612345678" - `requests.buyer_user_id` (string) A unique identifier generated by Wallapop to identify the buyer for this specific shipping request. Example: "v9owzy2j5g7x" - `requests.carrier_drop_off_options` (object) - `requests.carrier_drop_off_options.options` (array, required) - `requests.carrier_drop_off_options.options.drop_off_mode` (string) The method by which the carrier will receive the item either through the seller's drop-off at the post office or a pickup from the seller's home. The drop_off_mode is selected either by the buyer or Wallapop rules. Enum: "post office", "home pickup" - `requests.carrier_drop_off_options.options.carrier` (string,null) The company or service responsible for transporting and delivering packages from the seller to the buyer. Examples include Correos, Seur, InPost and other shipping providers. The carrier is selected either the buyer or Wallapop rules. Example: "Seur" - `requests.carrier_drop_off_options.options.carrier_drop_off_cost` (object) A cost charged to the seller based on the selected drop-off_mode. - `requests.item_id` (string) An individual item from the shipping request. Example: "3e9wzv7zlmdr"